/**
 * Funo responsvel pela mscara nos campos de hora (##:##)
 */
function mascara_hora(Hora)
{
    var hora01 = ''+Hora.value;
    if ( hora01.length == 2 )
    {
        hora01 += ':';
        Hora.value = hora01;
    }

    if ( hora01.length == 5 )
    {
        verifica_hora(Hora);
    }
}

/**
 * Funo responsvel pela validao dos campos de hora (##:##)
 */
function verifica_hora(Hora)
{
    hrs = Hora.value.substring(0,2);
    min = Hora.value.substring(3,5);

    ok = true;
    if ( Hora.value.length > 0 )
    {
        if ( (hrs < 00 ) || (hrs > 23) || ( min < 00) ||( min > 59) )
        {
            ok = false; 
        }
    }
    else
    {
        ok = false;
    } 

    if ( !ok )
    {
        alert("O horrio inforado  invlido.");
        Hora.focus();
    }
}

/**
 * Funo responsvel pela mscara nos campos de data (##/##/####)
 */
function mascaraData(campoData, evento)
{
    if ( !teclaEspecial(evento) && (campoData.value.length == 2 || campoData.value.length == 5) )
    {
        campoData.value += '/';
    }

    return mascaraSomenteNumeros(evento);
}

/**
 * Funo responsvel pela mscara nos campos de CNPJ (##.###.###/####-##)
 */
function mascaraCnpj(campoCnpj, evento)
{
    if ( !teclaEspecial(evento) && (campoCnpj.value.length == 2 || campoCnpj.value.length == 6) )
    {
        campoCnpj.value += '.';
    }
    else if ( !teclaEspecial(evento) && (campoCnpj.value.length == 10) )
    {
        campoCnpj.value += '/';
    }
    else if ( !teclaEspecial(evento) && (campoCnpj.value.length == 15) )
    {
        campoCnpj.value += '-';
    }

    return mascaraSomenteNumeros(evento);
}

/**
 * Funo responsvel pela mscara nos campos de CPF (###.###.###-##)
 */
function mascaraCpf(campoCpf, evento)
{
    if ( !teclaEspecial(evento) && (campoCpf.value.length == 3 || campoCpf.value.length == 7) )
    {
        campoCpf.value += '.';
    }
    else if ( !teclaEspecial(evento) && (campoCpf.value.length == 11) )
    {
        campoCpf.value += '-';
    }

    return mascaraSomenteNumeros(evento);
}

/**
 * Funo que verifica se a tecla digitada no  um nmero ou uma tecla especial
 */
function mascaraSomenteNumeros(evento)
{
    var ret = false;

    tecla = obtemTecla(evento);

    // Tecla especial ou nmero
    if ( teclaEspecial(evento) || ((tecla >= 48) && (tecla <= 57)) )
    {
        ret = true;
    }

    return ret;
}

/**
 * Funo que verifica se a tecla digitada  uma letra minscula
 */
function mascaraSomenteMinusculo(evento)
{
    var ret = false;

    tecla = obtemTecla(evento);

    // Tecla especial ou nmero
    if ( teclaEspecial(evento) || ((tecla >= 97) && (tecla <= 122)) )
    {
        ret = true;
    }
    else
    {
        alert('Por favor, somente letras minsculas.');
    }

    return ret;
}

/**
 * Funo que verifica se o evento no  alguma tecla "especial"
 */
function teclaEspecial(evento)
{
    var ret = false;

    tecla = obtemTecla(evento);

    //     backspace          tab             delete            esc             enter          caps lock        ou setas    ou -   ou _
    if ( ((tecla == 8) || (tecla == 9) || (tecla == 46) || (tecla == 27) || (tecla == 13)) || (tecla == 20) ||
         ((tecla >= 37) && (tecla <= 40)) || (tecla == 45) || (tecla == 95) )
    {
        ret = true;
    }

    return ret;  
}

/**
 * Funo que obtm o "keyCode" do evento
 */
function obtemTecla(evento)
{
    var tecla;

    /*if ( evento.which )  
    {    
        tecla = evento.which
        alert("which" + " - " + tecla);   
    }    
    else*/
    if ( evento.keyCode ) // Netscape/Firefox/Opera/Chrome
    {    
        tecla = evento.keyCode;
        //alert("keyCode" + " - " + tecla);   
    }     
    else
    {
        tecla = evento.charCode;
        //alert("charCode" + " - " + tecla);
    }

    return tecla;
}
