/**
 * Funo que valida data (dia/ms/ano)
 */
function valida_data(data)
{
    var valido = true;

    var regExpCaracter = /[^\d]/;    //Expresso regular para procurar caracter no-numrico.
    var regExpEspaco = /^\s+|\s+$/g; //Expresso regular para retirar espaos em branco.

    // Data fora do padro DD/MM/AAAA 
    if ( data.length != 10 )
    {
        valido = false;
    }
    else
    {
        //Data fora do padro DD/MM/AAAA
        splitData = data.split('/');
        if ( splitData.length != 3 )
        {
            valido = false;
        }
        else
        {
            // Retira os espaos em branco do incio e fim de cada string.
            splitData[0] = splitData[0].replace(regExpEspaco, '');
            splitData[1] = splitData[1].replace(regExpEspaco, '');
            splitData[2] = splitData[2].replace(regExpEspaco, '');

            //Data fora do padro DD/MM/AAAA
            if ( (splitData[0].length != 2) ||
                 (splitData[1].length != 2) ||
                 (splitData[2].length != 4) )
            {
                valido = false;
            }
            else
            {
                // Procura por caracter no-numrico. EX.: o "x" em "28/09/2x11"
                if ( regExpCaracter.test(splitData[0]) ||
                     regExpCaracter.test(splitData[1]) ||
                     regExpCaracter.test(splitData[2]) )
                {
                    valido = false;
                }
                else
                {
                    dia = parseInt(splitData[0],10);
                    mes = parseInt(splitData[1],10)-1; //O JavaScript representa o ms de 0 a 11 (0->janeiro, 1->fevereiro... 11->dezembro)
                    ano = parseInt(splitData[2],10);

                    var novaData = new Date(ano, mes, dia);

                    /**
                     * O JavaScript aceita criar datas com, por exemplo, ms=14, porm a cada 12 meses mais um ano  acrescentado  data
                     * final e o restante representa o ms. O mesmo ocorre para os dias, sendo maior que o nmero de dias do ms em
                     * questo o JavaScript o converter para meses/anos.
                     * Por exemplo, a data 28/14/2011 (que seria o comando "new Date(2011,13,28)", pois o ms  representado de 0 a 11)
                     * o JavaScript converter para 28/02/2012.
                     * Dessa forma, se o dia, ms ou ano da data resultante do comando "new Date()" for diferente do dia, ms e ano da
                     * data que est sendo testada esta data  invlida.
                     */
                    if ( (novaData.getDate() != dia) ||
                         (novaData.getMonth() != mes) ||
                         (novaData.getFullYear() != ano) )
                    {
                        valido = false;
                    }
                }
            }
        }
    }

    return valido;
}

/**
 * Funo que valida email (blablabla@blabla.bla)
 */
function valida_email(email)
{
    var valido = false;
    var er = new RegExp(/^[A-Za-z0-9_\-\.]+@[A-Za-z0-9_\-\.]{2,}\.[A-Za-z0-9]{2,}(\.[A-Za-z0-9])?/);

    if ( typeof(email) == "string" )
    {
        if ( er.test(email) )
        {
            valido = true;
        }
    }
    else if ( typeof(email) == "object" )
    {
        if ( er.test(email.value) )
        {
            valido = true; 
        }
    }

    return valido;
}
