<?php
/*@class  TSession
 *@author Pablo Dall'Oglio <pablo@adianti.com.br>
 *@cdescr Session Handler
 */
class TSession
{
    private $name;

    /*@method __construct()
     *@mdescr initiates a session
     */
    public function __construct($name=null)
    {
        session_start();

        if ( $name )
        {
            $this->setName($name);
        }
    }

    /**
     * Define o nome da sessao
     */
    public function setName($name)
    {
        $this->name = $name;
        $_SESSION[$this->name]['class'] = null;
    }

    /*@method setValue($var, $value)
     *@mdescr Store a variable
     *@param  $var = variable name
     *@param  $value = variable value
     */
    public function setValue($var, $value)
    {
        $_SESSION[$this->name][$var] = $value;
    }
    
    /*@method getValue($var)
     *@mdescr Returns a variable value
     *@param  $var = variable name
     */
    public function getValue($var)
    {
        return $_SESSION[$this->name][$var];
    }
    
    /*@method freeSession()
     *@mdescr Clear the session contentsme
     */
    public function freeSession()
    {
        $_SESSION[$this->name] = array();
        unset($_SESSION[$this->name]);
        //session_destroy();
    }
}
?>
